package com.jwipc.order.logic;

import com.jwipc.dto.ExportDataDTO;
import com.jwipc.order.dto.ShortagePlanReleaseDTO;
import com.jwipc.order.dto.ShortagePlanReplyDTO;
import com.jwipc.order.model.query.BasicForeignQuotaQuery;
import com.jwipc.order.model.query.BasicPlanQuery;

import java.util.List;

/**
 * @Author: swq
 * @Date: 2024/4/29 14:24
 */
public interface ShortagePlanLogicAsn {

    void exportToPublishedData(BasicPlanQuery basicPlanQuery,
                               List<ExportDataDTO> exportDataDTOS, Long userId, Long id);

    void exportToReplyData(BasicForeignQuotaQuery basicPlanQuery,
                           List<ExportDataDTO> exportDataDTOS, Long userId, Long id);

    void importForPublished(List<ShortagePlanReleaseDTO> result, Long userId, Long id);

    void importForReply(List<ShortagePlanReplyDTO> list, Long userId, Long id);

    void confirmReply(boolean pushAgain, Long userId, Long logId) ;
}
